
Application: gvSIG desktop - gvSIG bugs #3103
Coordinates are on the lines at the layout grid
01/12/2015 10:16 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo
Category: Document layout
Target version: 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2260 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

When we rotate the texts of the coordinates of the grid in a layout, they are on the border lines or very separated.

It should be close to the line by default. An improvement would be to be able to select the position respecting the line (horizontal and
vertical displacement).

I attach a screenshot as an example. The X coordinates are on the line, and the Y coordinates are very separated.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 2907: Grid l... Invalid 10/17/2014

Associated revisions
Revision 342 - 03/02/2015 07:04 PM - Cesar Martinez Izquierdo

On the grid of the layout (fframegrid), correct the label position so that it never overlaps with the fframeview. Add an anchor option to the dialog to align
the center or the corner of the label. Fixes: #3103, #2906. Correctly restore number format: Fixes #3235

History
#1 - 01/28/2015 12:17 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2

#2 - 01/28/2015 12:23 PM - Álvaro Anguix
- Related to gvSIG feature requests #2907: Grid labels offset from border added

#3 - 01/29/2015 05:07 PM - Cesar Martinez Izquierdo
- Status changed from New to Fixed

#4 - 01/29/2015 05:07 PM - Cesar Martinez Izquierdo
- Status changed from Fixed to New

#5 - 01/29/2015 05:14 PM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#6 - 03/02/2015 07:06 PM - Cesar Martinez Izquierdo
- Status changed from In progress to Fixed
#7 - 03/02/2015 07:09 PM - Cesar Martinez Izquierdo

The labels should be automatically placed now, all of them at the same distance and never overlapping with the fframeview.
The offset mentioned on #2907 has not been implemented because it is not trivial to implement (requires considering units [pixels, cm, etc] referred to
the paper), and it also requires deeper UI design.

#8 - 03/05/2015 06:15 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)

#9 - 04/07/2015 12:13 PM - Álvaro Anguix
- Status changed from Fixed to Closed
